# Interface ClearGui

All Known Subinterfaces:
  `JMeterGUIComponent`

All Known Implementing Classes:
  `AbstractAssertionGui, AbstractConfigGui, AbstractControllerGui, AbstractJMeterGuiComponent, AbstractListenerGui, AbstractPostProcessorGui, AbstractPreProcessorGui, AbstractRandomTimerGui, AbstractSamplerGui, AbstractScopedJMeterGuiComponent, AbstractThreadGroupGui, AbstractTimerGui, AbstractVisualizer, AjpSamplerGui, AnchorModifierGui, ArgumentsPanel, AssertionGui, AssertionVisualizer, AuthPanel, BackendListenerGui, BeanShellAssertionGui, BeanShellSamplerGui, CacheManagerGui, ComparisonVisualizer, ConstantTimerGui, CookiePanel, CounterConfigGui, CriticalSectionControllerGui, DistributionGraphVisualizer, DNSCachePanel, DurationAssertionGui, ExampleSamplerGui, ForeachControlPanel, FtpConfigGui, FtpTestSamplerGui, GaussianRandomTimerGui, GraphVisualizer, HeaderPanel, HTMLAssertionGui, HtmlExtractorGui, HTTPArgumentsPanel, HttpDefaultsGui, HttpMirrorControlGui, HttpTestSampleGui, IfControllerPanel, IncludeControllerGui, InterleaveControlGui, JavaConfigGui, JavaTestSamplerGui, JMSPublisherGui, JMSSamplerGui, JMSSubscriberGui, JUnitTestSamplerGui, LDAPArgumentsPanel, LdapConfigGui, LdapExtConfigGui, LdapExtTestSamplerGui, LdapTestSamplerGui, LogicControllerGui, LoginConfigGui, LoopControlPanel, MailerVisualizer, MailReaderSamplerGui, MD5HexAssertionGUI, ModuleControllerGui, MonitorHealthVisualizer, NamePanel, ObsoleteGui, OnceOnlyControllerGui, ParamModifierGui, PoissonRandomTimerGui, PostThreadGroupGui, PropertyControlGui, ProxyControlGui, RandomControlGui, RandomOrderControllerGui, RecordController, RegexExtractorGui, RegExUserParametersGui, RespTimeGraphVisualizer, ResultActionGui, ResultSaverGui, RunTimeGui, SetupThreadGroupGui, SimpleConfigGui, SimpleDataWriter, SizeAssertionGui, SMIMEAssertionGui, SmtpSamplerGui, SoapSamplerGui, SplineVisualizer, StatGraphVisualizer, StatVisualizer, SummariserGui, SummaryReport, SwitchControllerGui, SystemSamplerGui, TableVisualizer, TCPConfigGui, TCPSamplerGui, TestActionGui, TestBeanGUI, TestFragmentControllerGui, TestPlanGui, ThreadGroupGui, ThroughputControllerGui, TransactionControllerGui, UniformRandomTimerGui, URLRewritingModifierGui, UserParametersGui, ViewResultsFullVisualizer, WebServiceSamplerGui, WhileControllerGui, WorkBenchGui, XMLAssertionGui, XMLSchemaAssertionGUI, XPathAssertionGui, XPathExtractorGui`

public interface ClearGui

## Method Summary

Modifier and Type
Method
Description
`void`
`clearGui()`
Clear the gui and return it to initial default values.

## Method Details

### clearGui

void clearGui()
Clear the gui and return it to initial default values. This is necessary because most gui classes are instantiated just once and re-used for multiple test element objects and thus they need to be cleared between uses.